FileMetadata (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc

## Interface FileMetadata

- Deprecated.
  Use `OrcTail` instead

      public interface FileMetadata

  Cached file metadata. Right now, it caches everything; we don't have to store all the protobuf structs actually, we could just store what we need, but that would require that ORC stop depending on them too. Luckily, they shouldn't be very big.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnCount()` Deprecated.
    `int` | `getCompressionBufferSize()` Deprecated.
    `CompressionKind` | `getCompressionKind()` Deprecated.
    `long` | `getContentLength()` Deprecated.
    `Object` | `getFileKey()` Deprecated.
    `List<OrcProto.ColumnStatistics>` | `getFileStats()` Deprecated.
    `int` | `getFlattenedColumnCount()` Deprecated.
    `int` | `getMetadataSize()` Deprecated.
    `long` | `getNumberOfRows()` Deprecated.
    `int` | `getRowIndexStride()` Deprecated.
    `List<StripeInformation>` | `getStripes()` Deprecated.
    `List<OrcProto.StripeStatistics>` | `getStripeStats()` Deprecated.
    `List<OrcProto.Type>` | `getTypes()` Deprecated.
    `List<Integer>` | `getVersionList()` Deprecated.
    `int` | `getWriterImplementation()` Deprecated.
    `int` | `getWriterVersionNum()` Deprecated.
    `boolean` | `isOriginalFormat()` Deprecated.

- - ### Method Detail

    - #### isOriginalFormat

          boolean isOriginalFormat()

      Deprecated.

    - #### getStripes

          List<StripeInformation> getStripes()

      Deprecated.

    - #### getCompressionKind

          CompressionKind getCompressionKind()

      Deprecated.

    - #### getCompressionBufferSize

          int getCompressionBufferSize()

      Deprecated.

    - #### getRowIndexStride

          int getRowIndexStride()

      Deprecated.

    - #### getColumnCount

          int getColumnCount()

      Deprecated.

    - #### getFlattenedColumnCount

          int getFlattenedColumnCount()

      Deprecated.

    - #### getFileKey

          Object getFileKey()

      Deprecated.

    - #### getVersionList

          List<Integer> getVersionList()

      Deprecated.

    - #### getMetadataSize

          int getMetadataSize()

      Deprecated.

    - #### getWriterImplementation

          int getWriterImplementation()

      Deprecated.

    - #### getWriterVersionNum

          int getWriterVersionNum()

      Deprecated.

    - #### getTypes

          List<OrcProto.Type> getTypes()

      Deprecated.

    - #### getStripeStats

          List<OrcProto.StripeStatistics> getStripeStats()

      Deprecated.

    - #### getContentLength

          long getContentLength()

      Deprecated.

    - #### getNumberOfRows

          long getNumberOfRows()

      Deprecated.

    - #### getFileStats

          List<OrcProto.ColumnStatistics> getFileStats()

      Deprecated.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.